%ifarch x86_64
%global _lto_cflags %{nil}
%endif

Summary:        Open Fabric Interfaces
Name:           libfabric
Version:        1.19.0
Release:        2%{?dist}
License:        BSD or GPLv2
URL:            https://github.com/ofiwg/libfabric
Source0:        https://github.com/ofiwg/%{name}/releases/download/v%{version}/%{name}-%{version}.tar.bz2

BuildRequires:  make gcc
BuildRequires:  libnl3-devel
%ifnarch %{arm}
BuildRequires:  libibverbs-devel librdmacm-devel
%endif
%ifarch x86_64
BuildRequires:  libpsm2-devel numactl-devel
%endif

%description
OpenFabrics Interfaces (OFI) is a framework focused on exporting fabric
communication services to applications.  OFI is best described as a collection
of libraries and applications used to export fabric services.  The key
components of OFI are: application interfaces, provider libraries, kernel
services, daemons, and test applications.
Libfabric is a core component of OFI.  It is the library that defines and
exports the user-space API of OFI, and is typically the only software that
applications deal with directly.  It works in conjunction with provider
libraries, which are often integrated directly into libfabric.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The libfabric-devel package contains libraries and header files for
developing applications that use libfabric.


%prep
%autosetup -p1 -n %{name}-%{version}

%build
%configure --disable-static --disable-silent-rules
%make_build

%install
%make_install
find %{buildroot} -name '*.la' -delete


%files
%license COPYING
%{_bindir}/fi_info
%{_bindir}/fi_pingpong
%{_bindir}/fi_strerror
%{_libdir}/*.so.1*
%{_mandir}/man1/*.1*

%files devel
%license COPYING
%doc AUTHORS README
%{_includedir}/rdma/
%{_libdir}/*.so
%{_libdir}/pkgconfig/libfabric.pc
%{_mandir}/man3/*.3*
%{_mandir}/man7/*.7*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.19.0-2
- Rebuilt for OpenCloudOS Stream 23.09

* Mon Sep 04 2023 kianli <kianli@tencent.com> - 1.19.0-1
- Upgrade to 1.19.0

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.16.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.16.1-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Nov 17 2022 Miaojun Dong <zoedong@tencent.com> - 1.16.1-1
- Initial build
